summaryrefslogtreecommitdiff
path: root/examples/Nagios
diff options
context:
space:
mode:
Diffstat (limited to 'examples/Nagios')
-rwxr-xr-xexamples/Nagios/RCS/cleware_nagios_script,v40
-rwxr-xr-xexamples/Nagios/cleware_nagios_script34
-rw-r--r--examples/Nagios/nagios.txt42
-rw-r--r--examples/Nagios/seealso.txt4
4 files changed, 120 insertions, 0 deletions
diff --git a/examples/Nagios/RCS/cleware_nagios_script,v b/examples/Nagios/RCS/cleware_nagios_script,v
new file mode 100755
index 0000000..6f3ebee
--- /dev/null
+++ b/examples/Nagios/RCS/cleware_nagios_script,v
@@ -0,0 +1,40 @@
+head 1.1;
+access;
+symbols;
+locks
+ folkert:1.1; strict;
+comment @# @;
+
+
+1.1
+date 2010.06.10.19.16.47; author folkert; state Exp;
+branches;
+next ;
+
+
+desc
+@@
+
+
+1.1
+log
+@Initial revision
+@
+text
+@#!/bin/sh
+
+MEASURED_TEMPERATURE=`/usr/bin/clewarecontrol -rt 2> /dev/null | grep 'Temperature' | awk '{ print $2; }' | sed -e "s/^\([0-9]*\).*$/\1/g"`
+
+if [ $MEASURED_TEMPERATURE -gt $2 ] ; then
+ echo CRITICAL - temperature above $2 - $MEASURED_TEMPERATURE
+ exit 2
+fi
+
+if [ $MEASURED_TEMPERATURE -gt $1 ] ; then
+ echo WARNING - temperature above $1 - $MEASURED_TEMPERATURE
+ exit 1
+fi
+
+echo OK - temperature is $MEASURED_TEMPERATURE
+exit 0
+@
diff --git a/examples/Nagios/cleware_nagios_script b/examples/Nagios/cleware_nagios_script
new file mode 100755
index 0000000..812cce7
--- /dev/null
+++ b/examples/Nagios/cleware_nagios_script
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+if [ -z "$1" -o -z "$2" ] ; then
+ echo "CRITICAL - Parameter(s) missing (Warning Critical)."
+ exit 2
+fi
+
+PARAM1=`echo $1 | tr -c -d [:digit:]`
+PARAM2=`echo $2 | tr -c -d [:digit:]`
+
+if [ "$1" != "$PARAM1" -o "$2" != "$PARAM2" ] ; then
+ echo "CRITICAL - invalid parameter(s), only integers allowed."
+ exit 2
+fi
+
+MEASURED_TEMPERATURE=`/usr/bin/clewarecontrol -rt 2> /dev/null | grep 'Temperature' | awk '{ print $2; }'`
+
+NAGIOS_TEMPERATURE=`echo $MEASURED_TEMPERATURE | sed -e "s/^\([0-9]*\).*$/\1/g"`
+if [ -z "$NAGIOS_TEMPERATURE" ] ; then
+ echo CRITICAL - invalid temperature $MEASURED_TEMPERATURE
+ exit 2
+fi
+if [ $NAGIOS_TEMPERATURE -gt $2 ] ; then
+ echo CRITICAL - temperature above $2 - $MEASURED_TEMPERATURE
+ exit 2
+fi
+
+if [ $NAGIOS_TEMPERATURE -gt $1 ] ; then
+ echo WARNING - temperature above $1 - $MEASURED_TEMPERATURE
+ exit 1
+fi
+
+echo OK - temperature is $MEASURED_TEMPERATURE
+exit 0
diff --git a/examples/Nagios/nagios.txt b/examples/Nagios/nagios.txt
new file mode 100644
index 0000000..8f8dfe5
--- /dev/null
+++ b/examples/Nagios/nagios.txt
@@ -0,0 +1,42 @@
+Monitoring temperature with Nagios
+----------------------------------
+
+Files:
+ - nagios.txt
+ - cleware_nagios_script
+
+1. copy cleware_nagios_script to the libexec directory of nagios
+
+2. add the following to the nagios configuration file
+ (checkcommands.cfg):
+
+ define command{
+ command_name check_cleware_temperature
+ command_line $USER1$/cleware_nagios_script $ARG1$ $ARG2$
+ }
+
+3. now define a check:
+
+ define service {
+ use generic-service
+ is_volatile 0
+ check_period 24x7
+ max_check_attempts 3
+ normal_check_interval 5
+ retry_check_interval 1
+ contact_groups CONTACTGROUP
+ notification_interval 240
+ notification_period 24x7
+ notification_options c,r
+ host_name HOSTNAME
+ service_description check temperature using Cleware sensor
+ check_command check_cleware_temperature!WARN!CRIT
+ }
+
+4. of course you need to replace 'CONTACTGROUP' and 'HOSTNAME' with
+ the appropriate settings. also 'WARN' and 'CRIT' must be
+ replaced with the warning and critical temperatures
+
+
+For any question related to Cleware devices under Linux, feel free to
+contact me at the following e-mail address: folkert@vanheusden.com
diff --git a/examples/Nagios/seealso.txt b/examples/Nagios/seealso.txt
new file mode 100644
index 0000000..ad67ec7
--- /dev/null
+++ b/examples/Nagios/seealso.txt
@@ -0,0 +1,4 @@
+Please also check:
+http://www.vanheusden.com/nagamp/
+
+That tool shows the current Nagios status using the Cleware 'ample' (trafficlight) device.